**README**

This is a sample repository to create payment gateway based on it. It does a complete transaction and does not charge from any actual payment instrument.

*If you use this to create your payment gateway, feel free to share it with us at [contact@fivestarplugins.com](mailto:contact@fivestarplugins.com), so that we can potentially make it available for other users.*

---

## Step 1

The first thing to do is update the name of the plugin to make it unique. Replace the following string in the repository everywhere. Make sure you keep the format the same for each replacement.

For example, if your gateway is called **"Human Touch"**:

1. Replace **new\_gateway** with **human\_touch**
2. Replace **new-gateway** with **human-touch**
3. Replace **NEW\_GATEWAY** with **HUMAN\_TOUCH**
4. Replace **NEW-GATEWAY** with **HUMAN-TOUCH**
4. Replace **New\_Gateway** with **Human\_Touch**
4. Replace **New-Gateway** with **Human-Touch**
5. And lastly, search **"New Gateway"** and replace with **Human Touch**

If you encounter any other instance that we may have missed here, please let us know.

---

## Step 2

1. We suggest the use of version control (e.g. git) to keep track of your changes as you work on your plugin.
2. Update your readme. It will be helpfull for your future developer and other users.

---

## Contact us

If you need more info about plugin or its existing features, you can view our documentation [here](https://doc.fivestarplugins.com/plugins/restaurant-reservations/).

You can also contact us [here](https://www.fivestarplugins.com/support-center/). But please keep in mind that the custom gateway is an **advanced feature** that requires some knowledge of coding and is not something we can normally assist with or offer support for, as we are likely not familiar with the gateway/API you would like to use/implement.